About scopes

注意:您必须使用npm 2或更高版本才能使用作用域. 要升级到最新版本的npm,请在命令行上运行npm install [email protected] -g

注册npm用户帐户或创建组织时,系统会授予与您的用户或组织名称匹配的范围. 您可以将此作用域用作相关程序包的命名空间.

范围使您可以创建与其他用户或组织创建的包同名的包,而不会发生冲突.

当在package.json文件中将其列为依赖项时,带作用域的程序包将以其作用域名称开头. 范围名称是@和斜杠之间的所有内容:

要创建和发布公共范围的软件包,请参见" 创建和发布范围的公共软件包 ".

要创建和发布私有范围的程序包,请参阅" 创建和发布私有程序包 ".

Scopes and package visibility

有关程序包范围和可见性的更多信息,请参阅" 程序包范围,访问级别和可见性 ".


< About packages and modules | About public packages >

by  ICOPY.SITE